
# Butterfly data analysis with Poisson model

library(jagsUI)
library(mcmcOutput)

C <- c(20, 10, 15,  5,  7, 13,  7, 14,  7, 12, 14, 12,  4,  1,  1,  5,  4,  8,  2,  7)

bdata <- list(C = C, site=rep(1:10, 2), fog=rep(0:1, each=10), N=20, nsites=10)

wanted <- c("b1", "mu", "sigma", "b0")

out <- jags(bdata, NULL, wanted, "bf.jags", DIC=FALSE, n.chains=3, n.iter=1e4, parallel=TRUE)

bfmco <- mcmcOutput(out)
postPlot(exp(bfmco$b1),compVal=1,xlab="",main="",xlim=c(0.2, 0.9)) 
summary(bfmco)
?postPlot
# Effect of fogging is to reduce numbers to 53%, we're very sure it's negative.

